
package b4j.jUINodes;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class main implements IRemote{
	public static main mostCurrent;
	public static RemoteObject ba;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public main() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
    static {
		mostCurrent = new main();
		remoteMe = RemoteObject.declareNull("b4j.jUINodes.main");
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("main"), "b4j.jUINodes.main");
	}
    public static void main (String[] args) throws Exception {
		new RDebug(args[0], Integer.parseInt(args[1]), Integer.parseInt(args[2]), args[3]);
		RDebug.INSTANCE.waitForTask();

	}
    private static PCBA pcBA = new PCBA(null, main.class);
	public static RemoteObject runMethod(boolean notUsed, String method, Object... args) throws Exception{
		return (RemoteObject) pcBA.raiseEvent(method.substring(1), args);
	}
    public static void runVoidMethod(String method, Object... args) throws Exception{
		runMethod(false, method, args);
	}
    public static RemoteObject getObject() {
		return myClass;
	 }
	public PCBA create(Object[] args) throws ClassNotFoundException{
		ba = (RemoteObject) args[1];
		pcBA = new PCBA(this, main.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _fx = RemoteObject.declareNull("anywheresoftware.b4j.objects.JFX");
public static RemoteObject _mainform = RemoteObject.declareNull("anywheresoftware.b4j.objects.Form");
public static RemoteObject _menubar1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.MenuItemWrapper.MenuBarWrapper");
public static RemoteObject _datepicker1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.DatePickerWrapper");
public static RemoteObject _colorpicker1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.ColorPickerWrapper");
public static RemoteObject _tableview1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.TableViewWrapper");
public static RemoteObject _splitpane1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.SplitPaneWrapper");
public static RemoteObject _ckbvertical = RemoteObject.declareNull("anywheresoftware.b4j.objects.CheckboxWrapper");
public static RemoteObject _combobox1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.ComboBoxWrapper");
public static RemoteObject _choicebox1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.ChoiceBoxWrapper");
public static RemoteObject _treeview1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper");
public static RemoteObject _treeview2 = RemoteObject.declareNull("anywheresoftware.b4j.objects.TreeViewWrapper");
public static RemoteObject _lbltableview = RemoteObject.declareNull("anywheresoftware.b4j.objects.LabelWrapper");
public static RemoteObject _lbltreeview1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.LabelWrapper");
public static RemoteObject _lbltreeview2 = RemoteObject.declareNull("anywheresoftware.b4j.objects.LabelWrapper");
public static RemoteObject _imgfolderclosed = RemoteObject.declareNull("anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper");
public static RemoteObject _imgfolderopen = RemoteObject.declareNull("anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper");
  public Object[] GetGlobals() {
		return new Object[] {"ChoiceBox1",main._choicebox1,"ckbVertical",main._ckbvertical,"ColorPicker1",main._colorpicker1,"ComboBox1",main._combobox1,"DatePicker1",main._datepicker1,"fx",main._fx,"imgFolderClosed",main._imgfolderclosed,"imgFolderOpen",main._imgfolderopen,"lblTableView",main._lbltableview,"lblTreeView1",main._lbltreeview1,"lblTreeView2",main._lbltreeview2,"MainForm",main._mainform,"MenuBar1",main._menubar1,"SplitPane1",main._splitpane1,"TableView1",main._tableview1,"TreeView1",main._treeview1,"TreeView2",main._treeview2};
}
}